Bug 1783055 - RHCoS should report a version number to the change log so that we can debug problems
Summary: RHCoS should report a version number to the change log so that we can debug p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1783056
TreeView+ depends on / blocked
 
Reported: 2019-12-12 22:14 UTC by Clayton Coleman
Modified: 2020-05-13 21:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1783056 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:55:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 209 None closed Bug 1783055: Allow 'machine-os' to register itself and provide display name 2020-03-31 19:54:28 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:55:12 UTC

Description Clayton Coleman 2019-12-12 22:14:08 UTC
We have repeatedly struggled to map payload to RHCoS version to list of RHCoS changes, which hampered debugging efforts and wastes time.

We need to report RHCoS component version in the payload (like Kubernetes) by:

1. Report a version in the machine-os-content image from the coreos pipelines:

LABEL io.openshift.build.versions="machine-os=SEMVER"
LABEL io.openshift.build.version-display-name="machine-os=RHEL CoreOS"

2. Ideally make that SEMVER be the same version listed in rhcos build output results so we don't have to translate it

3. Update the release tooling to support display name (we can't use "machine os" and we need to distinguish between fedora and rhcos)

4. Update the release controller to direct link to the appropriate details page for an rhcos version

This will allow both dev and QE to more rapidly understand what is happening in CI.

This is not required for 4.3.0 but may not be changeable in z.  I'd prefer to get it in 4.3.0 esp. if it causes minor tooling issues later.

Comment 1 Clayton Coleman 2019-12-12 22:15:12 UTC
As a consequence of this change an engineer or qe or manager could one click from openshift-release.svc.ci.openshift.org directly to the list of changes, and when we do diffs we could link new and old (I believe the viewer page supports diffs?)

Comment 4 Michael Nguyen 2020-03-11 17:59:44 UTC
Verified labels are in 4.4.0-0.nightly-2020-03-11-062559

$ oc image -a ../all-the-pull-secrets.json info $(oc adm release -a ../all-the-pull-secrets.json info --image-for machine-os-content registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-03-11-062559)
Name:       quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9dbca4c74e53a8bb68a3c4c0177276e8ae3b89673563dd225b17265afb224b30
Media Type: application/vnd.docker.distribution.manifest.v2+json
Created:    20h ago
Image Size: 801MB
OS:         linux
Arch:       amd64
Entrypoint: /noentry
Labels:     com.coreos.ostree-commit=5e34540a76449eac217288bbe60619c88320fed76f7c860fd92505bce827aae5
            io.buildah.version=1.14.0
            io.openshift.build.version-display-names=machine-os=Red Hat Enterprise Linux CoreOS
            io.openshift.build.versions=machine-os=44.81.202003102032-0
            version=44.81.202003102032-0

Comment 7 errata-xmlrpc 2020-05-13 21:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.